Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 950113 - [abrt] gtk-recordmydesktop-0.3.8-7.fc18: rmdSelectThumb.py:79:__subsample__:AttributeError: 'NoneType' object has no attribute 'get_pixel'
Summary: [abrt] gtk-recordmydesktop-0.3.8-7.fc18: rmdSelectThumb.py:79:__subsample__:A...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk-recordmydesktop
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mat Booth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c7d49e57242935816ce643ac10a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-09 16:34 UTC by Juan Antonio Clavero García
Modified: 2014-02-05 20:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 20:33:07 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2013-04-09 16:35 UTC, Juan Antonio Clavero García
no flags Details
File: core_backtrace (deleted)
2013-04-09 16:35 UTC, Juan Antonio Clavero García
no flags Details
File: environ (deleted)
2013-04-09 16:35 UTC, Juan Antonio Clavero García
no flags Details

Description Juan Antonio Clavero García 2013-04-09 16:34:24 UTC
Version-Release number of selected component:
gtk-recordmydesktop-0.3.8-7.fc18

Additional info:
cmdline:        /usr/bin/python /usr/bin/gtk-recordMyDesktop
executable:     /usr/bin/gtk-recordMyDesktop
kernel:         3.8.3-201.fc18.x86_64
uid:            1000

Truncated backtrace:
rmdSelectThumb.py:79:__subsample__:AttributeError: 'NoneType' object has no attribute 'get_pixel'

Traceback (most recent call last):
  File "/usr/bin/gtk-recordMyDesktop", line 43, in <module>
    main()
  File "/usr/bin/gtk-recordMyDesktop", line 40, in main
    tr=rmdSimple.simpleWidget()
  File "/usr/lib/python2.7/site-packages/recordMyDesktop/rmdSimple.py", line 477, in __init__
    self.__subWidgets__()
  File "/usr/lib/python2.7/site-packages/recordMyDesktop/rmdSimple.py", line 86, in __subWidgets__
    self.image=sT.GtkThumbSelector(self,self.values[5],self.hidden,2000)
  File "/usr/lib/python2.7/site-packages/recordMyDesktop/rmdSelectThumb.py", line 69, in __init__
    self.__subsample__(sroot,self.wwidth,self.wheight,self.root,self.factor)
  File "/usr/lib/python2.7/site-packages/recordMyDesktop/rmdSelectThumb.py", line 79, in __subsample__
    im2.put_pixel(k/stride,i/stride,im1.get_pixel(k,i))
AttributeError: 'NoneType' object has no attribute 'get_pixel'

Local variables in innermost frame:
i: 0
h: 800
k: 0
im1: None
stride: 4
im2: <gtk.gdk.Image object at 0x17a6a00 (GdkImage at 0x17248c0)>
w: 1280
y: 0
x: 0
self: <GtkThumbSelector object at 0x17a6960 (GtkDrawingArea at 0x17698a0)>

Comment 1 Juan Antonio Clavero García 2013-04-09 16:35:12 UTC
Created attachment 733277 [details]
File: backtrace

Comment 2 Juan Antonio Clavero García 2013-04-09 16:35:15 UTC
Created attachment 733278 [details]
File: core_backtrace

Comment 3 Juan Antonio Clavero García 2013-04-09 16:35:18 UTC
Created attachment 733279 [details]
File: environ

Comment 4 Fedora End Of Life 2013-12-21 12:44:25 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2014-02-05 20:33:07 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.